summaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorsimon <simon@FreeBSD.org>2005-09-24 12:26:59 +0000
committersimon <simon@FreeBSD.org>2005-09-24 12:26:59 +0000
commitb4151b2250bd23a1b2f99d6c03529a7bab9bbd44 (patch)
treea64fba6a73d3e78b7d0b840a5dcdd81403c2e357 /tools
parent917f40a3dce8613c2b4d58ce9e0d9ee2d80be18b (diff)
downloadFreeBSD-src-b4151b2250bd23a1b2f99d6c03529a7bab9bbd44.zip
FreeBSD-src-b4151b2250bd23a1b2f99d6c03529a7bab9bbd44.tar.gz
Make it possible to set the NANO_TOOLS variable to a directory outside
of $NANO_SRC, which can e.g. be used if the nanobsd scripts are not in the source tree being built. Improved by: phk Approved by: phk
Diffstat (limited to 'tools')
-rw-r--r--tools/tools/nanobsd/nanobsd.sh13
1 files changed, 11 insertions, 2 deletions
diff --git a/tools/tools/nanobsd/nanobsd.sh b/tools/tools/nanobsd/nanobsd.sh
index f2734e7..42c9c44 100644
--- a/tools/tools/nanobsd/nanobsd.sh
+++ b/tools/tools/nanobsd/nanobsd.sh
@@ -388,7 +388,7 @@ create_i386_diskimage ( ) (
#
FlashDevice () {
- . ${NANO_SRC}/${NANO_TOOLS}/FlashDevice.sub
+ . ${NANO_TOOLS}/FlashDevice.sub
sub_FlashDevice $1 $2
}
@@ -419,7 +419,7 @@ cust_allow_ssh_root () (
# Install the stuff under ./Files
cust_install_files () (
- cd ${NANO_SRC}/${NANO_TOOLS}/Files
+ cd ${NANO_TOOLS}/Files
find . -print | grep -v /CVS | cpio -dumpv ${NANO_WORLDDIR}
)
@@ -490,6 +490,15 @@ fi
NANO_WORLDDIR=${MAKEOBJDIRPREFIX}/_.w
NANO_MAKE_CONF=${MAKEOBJDIRPREFIX}/make.conf
+if [ -d ${NANO_TOOLS} ] ; then
+ true
+elif [ -d ${NANO_SRC}/${NANO_TOOLS} ] ; then
+ NANO_TOOLS=${NANO_SRC}/${NANO_TOOLS}
+else
+ echo "NANO_TOOLS directory does not exist" 1>&2
+ exit 1
+fi
+
export MAKEOBJDIRPREFIX
export NANO_ARCH
OpenPOWER on IntegriCloud